#include <stdlib.h>
#include <glib.h>
#include "kf.h"
#include "sound.h"
#include "preferences.h"

void kf_sound_play (const gchar *f) {
	if (kf_preferences_get_int ("soundEnabled")) {
		gchar *cmd;
		const gchar *file;

	//	file = kf_find_file (f);
		if (f) {
			if (*f != '/' || *f == '.')
				file = kf_find_file (f);
			else 
				file = f;

//			foo_debug ("file = '%s'\n", file);
			cmd = g_strdup_printf ("%s \"%s\" &",
					kf_preferences_get_string ("soundPlayer"), file);
			system (cmd);
			g_free (cmd);
		}
	}
}


